Bullet Collision Detection & Physics Library: btTransformUtil Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
btTransformUtil Class Reference

Utils related to temporal transforms. More...

`#include <btTransformUtil.h>`

## Static Public Member Functions
static void | integrateTransform (const btTransform &curTrans, const btVector3 &linvel, const btVector3 &angvel, btScalar timeStep, btTransform &predictedTransform)
static void | calculateVelocityQuaternion (const btVector3 &pos0, const btVector3 &pos1, const btQuaternion &orn0, const btQuaternion &orn1, btScalar timeStep, btVector3 &linVel, btVector3 &angVel)
static void | calculateDiffAxisAngleQuaternion (const btQuaternion &orn0, const btQuaternion &orn1a, btVector3 &axis, btScalar &angle)
static void | calculateVelocity (const btTransform &transform0, const btTransform &transform1, btScalar timeStep, btVector3 &linVel, btVector3 &angVel)
static void | calculateDiffAxisAngle (const btTransform &transform0, const btTransform &transform1, btVector3 &axis, btScalar &angle)

## Detailed Description

Utils related to temporal transforms.

Definition at line 29 of file btTransformUtil.h.

## Member Function Documentation

## ◆ calculateDiffAxisAngle()

static void btTransformUtil::calculateDiffAxisAngle | ( | const btTransform & | transform0,
|  | const btTransform & | transform1,
|  | btVector3 & | axis,
|  | btScalar & | angle
| ) |  |
| inlinestatic

floating point inaccuracy can lead to w component > 1..., which breaks

Definition at line 124 of file btTransformUtil.h.

## ◆ calculateDiffAxisAngleQuaternion()

static void btTransformUtil::calculateDiffAxisAngleQuaternion | ( | const btQuaternion & | orn0,
|  | const btQuaternion & | orn1a,
|  | btVector3 & | axis,
|  | btScalar & | angle
| ) |  |
| inlinestatic

Definition at line 100 of file btTransformUtil.h.

## ◆ calculateVelocity()

static void btTransformUtil::calculateVelocity | ( | const btTransform & | transform0,
|  | const btTransform & | transform1,
|  | btScalar | timeStep,
|  | btVector3 & | linVel,
|  | btVector3 & | angVel
| ) |  |
| inlinestatic

Definition at line 115 of file btTransformUtil.h.

## ◆ calculateVelocityQuaternion()

static void btTransformUtil::calculateVelocityQuaternion | ( | const btVector3 & | pos0,
|  | const btVector3 & | pos1,
|  | const btQuaternion & | orn0,
|  | const btQuaternion & | orn1,
|  | btScalar | timeStep,
|  | btVector3 & | linVel,
|  | btVector3 & | angVel
| ) |  |
| inlinestatic

Definition at line 84 of file btTransformUtil.h.

## ◆ integrateTransform()

static void btTransformUtil::integrateTransform | ( | const btTransform & | curTrans,
|  | const btVector3 & | linvel,
|  | const btVector3 & | angvel,
|  | btScalar | timeStep,
|  | btTransform & | predictedTransform
| ) |  |
| inlinestatic

Definition at line 32 of file btTransformUtil.h.

The documentation for this class was generated from the following file:

- btTransformUtil.h